Package org.bukkit.entity

# Enum Class Boat.Type

java.lang.Object
java.lang.Enum<Boat.Type>
org.bukkit.entity.Boat.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Boat.Type>`, `Constable`

Enclosing interface:
  Boat

public static enum Boat.Type extends Enum<Boat.Type>
Represents the type of boats.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACACIA`
`BAMBOO`
`BIRCH`
`DARK_OAK`
`JUNGLE`
`MANGROVE`
`OAK`
`SPRUCE`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Material`
`getMaterial()`
Gets the material of the boat type.
`static Boat.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Boat.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OAK

public static final Boat.Type OAK

### SPRUCE

public static final Boat.Type SPRUCE

### BIRCH

public static final Boat.Type BIRCH

### JUNGLE

public static final Boat.Type JUNGLE

### ACACIA

public static final Boat.Type ACACIA

### DARK_OAK

public static final Boat.Type DARK_OAK

### MANGROVE

public static final Boat.Type MANGROVE

### BAMBOO

@Experimental public static final Boat.Type BAMBOO

## Method Details

### values

public static Boat.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Boat.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getMaterial

@NotNull public @NotNull Material getMaterial()
Gets the material of the boat type.

Returns:
  a material